/**
 * Esta clase extiene a {@link Persona Persona}, agregandole el parametro Propmedio Ponderado.
 * 
 * Tambien implementa Comparable, comparando los promedios ponderados.
 * @author Nicolas Sanz y Michael Vicencio
 */
public class Estudiante extends Persona implements Comparable{
 protected Estudiante() {}
/** 
 * Constructor de la Clase Estudiante.
* @param nombre String con el nombre del estudiante.
 * @param promedioPonderado Promedio ponderado del alumno
*/
 public Estudiante(String nombre, float promedioPonderado) {
    super(nombre);
    pp= promedioPonderado;
  }
 /** 
  * Obtiene el promedio ponderado del estudiante.
  * @return Promedio ponderado del estudiante.
  */
  public float getPromedioPonderado() {
    return pp;
  }
  /**
   * Implementa la clase {@link Comparable Comparable} comparando los promedios ponderados de los estudiantes.
   * @param y  corresponde al otro estudiante con el que se va a comprar.
   * @return 0 en caso de que los promedios sean iguales,
   *  1 en caso de que el promedio de y sea menos y
   * -1 en caso de que el promedio de y sea mayor.
   */
  public int compareTo(Object y){
      Estudiante e = (Estudiante) y;
      if(e.getPromedioPonderado() < pp) return 1;
      if(e.getPromedioPonderado() > pp) return -1;
      return 0;
  }
  private float pp; 
}

