/**
 * @version 1.1
 * @author Nicolas Sanz y Michael Vicencio
 */
import java.io.*;
import java.util.*;

public class Importador {
/** Importa una lista de alumnos desde un txt (un nombre por linea).
* @param ff String con el nombre del archivo a abrir.
*/
    public Importador(String ff) {
        int i=0;
        try {
            File f = new File(ff.toString());
            FileReader fr = new FileReader(f);
            String linea;
            BufferedReader br = new BufferedReader(fr);
            
            Random rr = new Random();
            while((linea=br.readLine())!=null) {
                alumnos[i]= new Estudiante(linea.toString(),(float) (rr.nextFloat()*45 + 55));
                i++;
            }  
            numeroEstudiantes = i;
        } catch(FileNotFoundException e){
            System.out.println("No se pudo encontrar el archivo " + ff.toString() + "\ncon el siguiente error: " + e);
        } catch(IOException e) {
            System.out.println("Fallo la lectura del archivo " + ff.toString() + "\ncon el siguiente error: " + e);
        
        }  
        
    }
/** Obtiene la lista de estudiantes importados.
* @return un arreglo de Estudiantes con listas de estudiantes importados.
*/
    public Estudiante[] getEstudiantes() {
        Estudiante[] ret = new Estudiante[numeroEstudiantes];
        for (int i=0; i<numeroEstudiantes; i++){
            ret[i] = alumnos[i];
        }
        return ret;
    }
    /** Obtiene los nombres de los estudiantes  
     * @return un arreglo de strings
     */
    public String[] getNombresEstudiantes() {
        String[] nombres = new String[numeroEstudiantes];
        for (int i = 0; i<numeroEstudiantes;i++) {
            nombres[i] = alumnos[i].getName();
        }
        return nombres;
    }
    private int numeroEstudiantes;
    private Estudiante[] alumnos = new Estudiante[300];
}
