/**
 * Clase encargada de realizar una tombola.
 * @author Nicolas Sanz y Michael Vicencio
 */
import java.util.Random;

public class Rodador {
    
    private Estudiante[] nombres;    
    /**
     * Constructor encargado de relizar la tombola de un arreglo de Strings.
     * @param st Arreglo de string a reordenar.
     */
    public Rodador(String[] st){
        nombres = new Estudiante[st.length];
        Estudiante e;
        Random rr = new Random();
        for(int i=0; i< st.length; i++){
            e = new Estudiante(st[i],(float) rr.nextFloat());
            nombres[i]= e;
        }
        BubbleSorter bs = new BubbleSorter();
        bs.ordenar(nombres);
    }
    /**
     * Metodo que devuelve los datos reordenados.
     * @return Arreglo de Strings con un orden aleatoreo y enumerados.
     */
    public String[] getDatosOrdenados(){
        String[] str = new String[nombres.length];
        for(int i=0; i< nombres.length; i++){
            str[i]= (i+1) + "  " + nombres[i].getName();
        }
        return str;
    }
        
}
